Bug 250418 - huge load on every file transfer, impossible to turn on dma
huge load on every file transfer, impossible to turn on dma
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
ppc64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-01 10:10 EDT by Istvan Szukacs
Modified: 2008-01-10 14:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-10 14:11:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Istvan Szukacs 2007-08-01 10:10:02 EDT
Description of problem:

huge load on every file transfer, impossible to turn on dma

Version-Release number of selected component (if applicable):

Linux cell 2.6.21-1.3194.fc7 #1 SMP Wed May 23 22:13:52 EDT 2007 ppc64 ppc64
ppc64 GNU/Linux


SCSI subsystem initialized
scsi0 : pata_sil680
scsi1 : pata_sil680
scsi 0:0:0:0: Direct-Access     ATA      FUJITSU MHV2040A 0000 PQ: 0 ANSI: 5
SCSI device sda: 78140160 512-byte hdwr sectors (40008 MB)
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
SCSI device sda: 78140160 512-byte hdwr sectors (40008 MB)
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
sd 0:0:0:0: Attached scsi disk sda
sd 0:0:0:0: Attached scsi generic sg0 type 0


How reproducible:

just copy huge files to somewhere on the hdd

Steps to Reproduce:
1. cp hugefile /tmp
2.
3.
  
Actual results:

load average around 7.0

Expected results:

load average around 0.0 :_)
Additional info:

[root@cell ~]# hdparm -cuda /dev/sda

/dev/sda:
 IO_support   =-1750268 (???)
 readahead    = 256 (on)

[root@cell ~]# lsmod |grep libata
libata                178545  2 ata_generic,pata_sil680
scsi_mod              231985  3 sg,libata,sd_mod
Comment 1 Christopher Brown 2007-09-21 09:46:42 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel? If so, it may be helpful
to attach the output of:

# lspci -vvxxx

so the developers are able to debug your issue quicker.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 2 Christopher Brown 2008-01-10 14:11:25 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Note You need to log in before you can comment on or make changes to this bug.